#include "xheaders.h"

#include XFrameWindow_i
#include XObjectWindow_i


XObjectWindow:: XObjectWindow( XFrameWindow * id)
{
   HAB hab = 0;
   static BOOL objRegistered = FALSE;

   owner = id;
   hab = WinQueryAnchorBlock( id->frame );

   if( objRegistered == FALSE )
     {
        WinRegisterClass( hab, (PSZ) "OOL_OBJECTWND", (PFNWP) WindowProc, 0, 4);
        objRegistered = TRUE;
     }

   winhandle = WinCreateWindow( HWND_OBJECT, (PSZ) "OOL_OBJECTWND", (PSZ) "", 0,0,0,0,0, HWND_OBJECT, HWND_BOTTOM, 0, this, 0);
}


XObjectWindow :: ~XObjectWindow()
{
}


